/**
 * Copyright (c) 2017-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the license found in the
 * LICENSE file in the root directory of this source tree.
 * @flow
 */

const bizSdk = require('facebook-nodejs-business-sdk');
const process = require('process');
const AdAccount = bizSdk.AdAccount;
const Campaign = bizSdk.Campaign;
const AdSet = bizSdk.AdSet;
const AdCreative = bizSdk.AdCreative;
const Ad = bizSdk.Ad;
const AdPreview = bizSdk.AdPreview;

let app_id = '1224202007596125';
let access_token_2 = 'EAARZAZA73LzF0BABFZAr6YOm9NqTvdArAjXp3wbhZBFI34nKsTCsseZBwUhHgRmqnQZCIfRSEHvYTyhVqaW5xPTMjWImxasHck8AiJE2J20rZBxZAVWKKtuAi3ilofTwcLoTDiOLUL5k8Obascw50tjnIGRySE3PguT32xjfFAD7IIlXPQE9ByDq';
let account_id_2 = 'act_10200660057662790';
let page_id_2 = '706457282787224';
let ads_image_hash = '3c6f4f03dd9ca86c1ea510dac2d2aa4c';
let page_link_2 = 'https://facebook.com/706457282787224';
const api = bizSdk.FacebookAdsApi.init(
  access_token_2,
  crash_log=false
);
const showDebugingInfo = true; // Setting this to true shows more debugging info.
if (showDebugingInfo) {
  api.setDebug(true);
}

const logApiCallResult = (apiCallName, data) => {
  console.log(apiCallName);
  if (showDebugingInfo) {
    console.log('Data:' + JSON.stringify(data));
  }
};
let fields, params;
void async function() {
try {
//  _DOC oncall [business_api]
//  _DOC open [PROMOTE_YOUR_PAGE]
//  _DOC vars [client_access_token, account_id, page_id]

fields = [
];
params = {
  'objective' : 'PAGE_LIKES',
  'status' : 'PAUSED',
  'buying_type' : 'AUCTION',
  'name' : 'My Campaign',
  'special_ad_category' : 'NONE',
};
let campaign = await (new AdAccount(account_id_2)).createCampaign(
  fields,
  params
);
let campaign_id = campaign.id;

fields = [
];
params = {
  'status' : 'PAUSED',
  'targeting' : {'geo_locations': {'countries': ['US']}},
  'daily_budget' : '100',
  'billing_event' : 'IMPRESSIONS',
  'bid_amount' : '20',
  'campaign_id' : campaign_id,
  'optimization_goal' : 'PAGE_LIKES',
  'promoted_object' : {'page_id': page_id_2},
  'name' : 'My AdSet',
};
let ad_set = await (new AdAccount(account_id_2)).createAdSet(
  fields,
  params
);
let ad_set_id = ad_set.id;

fields = [
];
params = {
  'name' : 'Creative',
  'object_story_spec' : {'page_id':page_id_2,'link_data':{'image_hash':ads_image_hash,'link':page_link_2,'message':'Creative message','call_to_action':{'type':'LIKE_PAGE','value':{'page':page_id_2}}}},
};
let creative = await (new AdAccount(account_id_2)).createAdCreative(
  fields,
  params
);
let creative_id = creative.id;

fields = [
];
params = {
  'status' : 'PAUSED',
  'adset_id' : ad_set_id,
  'name' : 'My Ad',
  'creative' : {'creative_id': creative_id},
  'ad_format' : 'DESKTOP_FEED_STANDARD',
};
let ad = await (new AdAccount(account_id_2)).createAd(
  fields,
  params
);
let ad_id = ad.id;

fields = [
];
params = {
  'ad_format' : 'DESKTOP_FEED_STANDARD',
};
let ad_previews = await (new Ad(ad_id)).getPreviews(
  fields,
  params
);

//  _DOC close [PROMOTE_YOUR_PAGE]
}
catch(error) {
  console.log(error);
  process.exit(1);
}
}();
